/*
 * @Author: your name
 * @Date: 2021-07-26 08:54:08
 * @LastEditTime: 2021-07-29 23:11:46
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /TracerMethodology_PC/src/pages/DepartmentMana/service.js
 */

import { request } from 'umi';


//获取分摊层级列表
export async function getApportionmentLevelList(params, options) {
    const  {shareName,current,pageSize,} = params;
    return request('/api/costAccount/costsharelevel/list', {
      method: 'GET',
      params:{
           name:shareName,
           current,
           pageSize
      },
      ...(options || {}),
    });
}


//获取分摊层级列表无分页
export async function getApportionmentLevelListNoPage(params, options) {
  return request('/api/costAccount/costsharelevel/list', {
    method: 'GET',
    ...(options || {}),
  });
}

//编辑分摊层级
export async function editApportionmentLevelList(body, options) {
  return request('/api/costAccount/costsharelevel/update', {
    method: 'POST',
    data:{...body},
    ...(options || {}),
  });
}

//新增分摊层级
export async function addApportionmentLevel(body, options) {
  return request('/api/costAccount/costsharelevel/save', {
    method: 'POST',
    data:{...body},
    ...(options || {}),
  });
}

//删除分摊层级
export async function delApportionmentLevel(params, options) {
  const {id} = params;
  const ids = [id];
  return request(`/api/costAccount/costsharelevel/delete`, {
    method: 'POST',
    data:ids,
    ...(options || {}),
  });
}

